import { query } from '@/modules';
import { Select as AntSelect, SelectProps } from 'antd';
import { useEffect, useState } from 'react';
import { message } from '@/modules/message';
export const Select = (props: SelectProps) => {
  const [options, setOptions] = useState<{ value: string; id: string }[]>([]);
  useEffect(() => {
    fetch();
  }, []);
  const fetch = async () => {
    const res = await query.post({
      path: 'container',
      key: 'list',
    });
    if (res.code !== 200) {
      message.error(res.message || '获取容器列表失败');
      return;
    }
    const data = res.data || [];
    setOptions(
      data.map((item: any) => {
        return {
          label: item.title,
          value: item.id,
        };
      }),
    );
  };
  return (
    <AntSelect
      {...props}
      options={options}
      // onChange={(e) => {
      //   const labelValue = options.find((item) => item.value === e);
      //   props.onChange?.(e, options);
      // }}
    />
  );
};
